This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016644 - Maven mutliproject upload should recognize archive type
Maven mutliproject upload should recognize archive type
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: FUTURE
Assigned To: Eric Wittmann
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 09:15 EDT by Kurt T Stam
Modified: 2014-11-04 10:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMP-248 Major Closed Maven mutliproject upload should recognize archive type 2014-08-18 13:34:51 EDT

  None (edit)
Description Kurt T Stam 2013-10-08 09:15:46 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2013-10-10 11:42:05 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira SRAMP-248 to Resolved
Comment 2 JBoss JIRA Server 2013-10-10 11:42:12 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira SRAMP-248 to Closed
Comment 4 Stefan Bunciak 2014-01-17 05:32:30 EST
I modified the repo url in quickstarts/overlord/sramp/s-ramp-demos-switchyard-multiapp/pom.xml
to <url>sramp://localhost:8080/s-ramp-server/?artifactGrouping=${project.groupId}</url> (omitting artifactType parameter) and all the artifacts were recognized as JavaArchive:

switchyard-quickstart-demo-multi-web-0.3.1.Final-redhat-6-sources.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-web-0.3.1.Final-redhat-6-tests.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-web-0.3.1.Final-redhat-6.war	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-order-consumer-0.3.1.Final-redhat-6-sources.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-order-consumer-0.3.1.Final-redhat-6-tests.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-order-consumer-0.3.1.Final-redhat-6.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-order-service-0.3.1.Final-redhat-6-sources.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-order-service-0.3.1.Final-redhat-6-tests.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-order-service-0.3.1.Final-redhat-6.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-artifacts-0.3.1.Final-redhat-6-sources.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-artifacts-0.3.1.Final-redhat-6-classes.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-artifacts-0.3.1.Final-redhat-6-tests.jar	JavaArchive	01/17/2014
switchyard-quickstart-demo-multi-artifacts-0.3.1.Final-redhat-6.jar	JavaArchive	01/17/2014
s-ramp-demos-switchyard-multiapp-0.3.1.Final-redhat-6-tests.jar	JavaArchive	01/17/2014

I suppose at least switchyard-quickstart-demo-multi-order-service-0.3.1.Final-redhat-6.jar should be SwitchYardApplication and switchyard-quickstart-demo-multi-web-0.3.1.Final-redhat-6.war Java Web Application.
Comment 5 kconner 2014-01-17 20:22:40 EST
Is this being rejected by QA?
Comment 8 Kurt T Stam 2014-01-22 10:05:44 EST
Hi Stefan,

The surest way to get the artifactType you want is to set it (in the GUI or on the pom url. If you don't it will try to find a good mapping based on files in the archive; for example to detect a Switchyard archive we look for:

aMap.put("WEB-INF/switchyard.xml", SwitchYardModel.SwitchYardApplication); 
aMap.put("WEB-INF/classes/META-INF/switchyard.xml", SwitchYardModel.SwitchYardApplication);
aMap.put("META-INF/switchyard.xml", SwitchYardModel.SwitchYardApplication);
Comment 9 Kurt T Stam 2014-01-22 20:57:49 EST
This code runs on the client side. I will take a look what's going on here. Note that this running the demo outside of what's specified in the README. That said I expected this to work, and it's not.
Comment 10 Kurt T Stam 2014-01-23 11:35:50 EST
Fix for the zip type recognition code running on the client side:

https://github.com/Governance/s-ramp/pull/378
Comment 11 Kurt T Stam 2014-03-31 11:47:11 EDT
Small fix to take the artifact hints order into account:
https://github.com/Governance/s-ramp/pull/388
Comment 12 Gary Brown 2014-06-18 06:09:50 EDT
Please retest against 6.1.0.

Note You need to log in before you can comment on or make changes to this bug.